package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.*;
import com.kexun.service.CustomizedModelService;
import lombok.extern.java.Log;
//import org.aspectj.util.FileUtil;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.util.List;

/*
新添加
 * 目标：实现单笔/批量导入
 * 目前：已实现
 */

@RestController
@RequestMapping("/admin/up")
@Log
public class UploadController {
    /**
     * 文件目录，解析后的文件目录
     */
    @Value("${report.file.xmlSourcePath}")
    private String xmlSourcePath;
    /**
     * 文件目录，解析后的文件目录
     */
    @Value("${report.file.xmlTargetPath}")
    private String xmlTargetPath;

    /**
     * 模型文件目标文件
     */
    @Value("${report.file.modelTargetPath}")
    private String modelPath;

    /**
     * 存放JSON文件路径
     */
    @Value("${report.file.jsonTargetPath}")
    private String jsonTargetPath;


    /**
     * 上传xml及JSON文件
     */
    @PostMapping("/uploadUi")
    public Result uploadUi(@RequestParam("files") MultipartFile[] files ,@RequestParam("customerName") String customerName,
                           @RequestParam("headInfId") String headInfId) {
        if(files.length>0) {
            for(MultipartFile file : files) {
                String fileName = customerName+"_"+headInfId+"_"+file.getOriginalFilename();
                try{
                    String filePath = "";
                    if(fileName.endsWith("xml")){
                        filePath = xmlSourcePath;
                        File mkdir = new File(xmlSourcePath);
                        if(!mkdir.exists()) {
                            mkdir.mkdirs();
                        }
                    }
                    else {
                        filePath = jsonTargetPath;
                        File mkdir = new File(jsonTargetPath);
                        if (!mkdir.exists()) {
                            mkdir.mkdirs();
                        }
                    }
                    //定义输出流，将文件写入硬盘
                    FileOutputStream os = new FileOutputStream(filePath+fileName);
                    InputStream in = file.getInputStream();
                    int b = 0;
                    while((b=in.read())!=-1){ //读取文件
                        os.write(b);
                    }
                    os.flush(); //关闭流
                    in.close();
                    os.close();

                }catch(Exception  e) {
                    e.printStackTrace();
                    return new Result(401,"失败");
                }
            }
            return Result.success("成功", 200);
        }else {
            return Result.success("失败",201);
        }

    }

    /**
     * 上传mod文件
     */
    @PostMapping("/uploadMod")
    public Result uploadMod(@RequestParam("files") MultipartFile[] files ,@RequestParam("customerName") String customerName,
                            @RequestParam("headInfId") String headInfId) {
        if(files.length>0) {
            for(MultipartFile file : files) {
                String fileName = customerName+"_"+headInfId+"_"+file.getOriginalFilename();
                try{
                    File mkdir = new File(modelPath);
                    if(!mkdir.exists()) {
                        mkdir.mkdirs();
                    }
                    //定义输出流，将文件写入硬盘
                    FileOutputStream os = new FileOutputStream(modelPath+fileName);
                    InputStream in = file.getInputStream();
                    int b = 0;
                    while((b=in.read())!=-1){ //读取文件
                        os.write(b);
                    }
                    os.flush(); //关闭流
                    in.close();
                    os.close();

                }catch(Exception  e) {
                    e.printStackTrace();
                    return new Result(401,"失败");
                }
            }
            return Result.success("成功", 200);
        }else {
            return Result.success("失败",201);
        }

    }


    @Autowired
    private CustomizedModelService customizedModelService;

    @GetMapping("list")
    public Result list(String modelName) {
        QueryWrapper<CustomizedModel> w = new QueryWrapper<>();
        if (!StringUtils.isEmpty(modelName)) {
            w.like("model_name", modelName);
        }

        List<CustomizedModel> list = customizedModelService.list(w);
        return Result.success("ok", list);
    }
}
