package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 授信协议信息
 * </p>
 *
 * @author lgs
 * @since 2023-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_ctrct_base")
@ApiModel(value="CtrctBaseEntity对象", description="授信协议信息")
public class CtrctBaseEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "授信协议编号")
    @TableField("credit_no")
    private String creditNo;

    @ApiModelProperty(value = "业务管理机构类型代码")
    @TableField("manage_org_type_code")
    private String manageOrgTypeCode;

    @ApiModelProperty(value = "业务管理机构类型描述")
    @TableField("manage_org_type_desc")
    private String manageOrgTypeDesc;

    @ApiModelProperty(value = "业务管理机构")
    @TableField("manage_org_code")
    private String manageOrgCode;

    @ApiModelProperty(value = "授信协议标识")
    @TableField("credit_code")
    private String creditCode;

    @ApiModelProperty(value = "授信额度用途代码")
    @TableField("limit_purpose_code")
    private String limitPurposeCode;

    @ApiModelProperty(value = "授信额度用途描述")
    @TableField("limit_purpose_desc")
    private String limitPurposeDesc;

    @ApiModelProperty(value = "授信额度")
    @TableField("credit_lim")
    private BigDecimal creditLim;

    @ApiModelProperty(value = "币种代码")
    @TableField("currency_code")
    private String currencyCode;

    @ApiModelProperty(value = "币种描述")
    @TableField("currency_desc")
    private String currencyDesc;

    @ApiModelProperty(value = "生效日期")
    @TableField("con_eff_date")
    private String conEffDate;

    @ApiModelProperty(value = "到期日期")
    @TableField("con_exp_date")
    private String conExpDate;

    @ApiModelProperty(value = "授信协议状态代码")
    @TableField("con_status_code")
    private String conStatusCode;

    @ApiModelProperty(value = "授信协议状态描述")
    @TableField("con_status_desc")
    private String conStatusDesc;

    @ApiModelProperty(value = "已用额度")
    @TableField("use_limit")
    private BigDecimal useLimit;

    @ApiModelProperty(value = "授信限额")
    @TableField("credit_limit")
    private BigDecimal creditLimit;

    @ApiModelProperty(value = "授信限额编号")
    @TableField("credit_limit_num")
    private String creditLimitNum;


}
