package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 行政奖励记录
 * </p>
 *
 * @author lgs
 * @since 2023-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_pub_reward")
@ApiModel(value="PubRewardEntity对象", description="行政奖励记录")
public class PubRewardEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "奖励机构")
    @TableField("reward_ins")
    private String rewardIns;

    @ApiModelProperty(value = "奖励内容")
    @TableField("reward_con")
    private String rewardCon;

    @ApiModelProperty(value = "生效日期")
    @TableField("effe_date")
    private String effeDate;

    @ApiModelProperty(value = "截止日期")
    @TableField("end_date")
    private String endDate;


}
