package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 公共信息汇总
 * </p>
 *
 * @author lgs
 * @since 2023-06-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_smry_comm_info")
@ApiModel(value="SmryCommInfoEntity对象", description="公共信息汇总")
public class SmryCommInfoEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "公共信息类型代码")
    @TableField("comm_type_code")
    private String commTypeCode;

    @ApiModelProperty(value = "公共信息类型描述")
    @TableField("comm_type_desc")
    private String commTypeDesc;

    @ApiModelProperty(value = "记录数")
    @TableField("record_num")
    private Integer recordNum;

    @ApiModelProperty(value = "涉及金额")
    @TableField("involve_amount")
    private BigDecimal involveAmount;


}
