package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 相关还款责任信息汇总
 * </p>
 *
 * @author lgs
 * @since 2023-06-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_smry_repay_info")
@ApiModel(value="SmryRepayInfoEntity对象", description="相关还款责任信息汇总")
public class SmryRepayInfoEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "借款人身份类别代码")
    @TableField("bo_type_code")
    private String boTypeCode;

    @ApiModelProperty(value = "借款人身份类别描述")
    @TableField("bo_type_desc")
    private String boTypeDesc;

    @ApiModelProperty(value = "相关还款责任类型代码")
    @TableField("rel_pay_resp_code")
    private String relPayRespCode;

    @ApiModelProperty(value = "相关还款责任类型描述")
    @TableField("rel_pay_resp_desc")
    private String relPayRespDesc;

    @ApiModelProperty(value = "账户数")
    @TableField("acc_sum")
    private Integer accSum;

    @ApiModelProperty(value = "还款责任金额")
    @TableField("rel_pay_resp_sum")
    private BigDecimal relPayRespSum;

    @ApiModelProperty(value = "余额")
    @TableField("balance")
    private BigDecimal balance;


}
