package com.kexun.factory;

import java.util.Map;
import java.util.Optional;

/**
 * Description:处理xml对应bean的工程类
 *
 * @author lgs
 * @date 2023/05/25
 */
public class HandleXmlFactory {

    private Map<String, HandleXmlFactoryBean> handleXmlFactoryBean;

    /**
     * 根据节点名称获取具体处理的信息类
     * @param xmlNodeName
     * @return
     */
    public HandleXmlFactoryBean getFactoryBean(String xmlNodeName) {
        return handleXmlFactoryBean.get(xmlNodeName);
    }

    /**
     * set具体xml信息段的bean
     * @param serviceMap
     */
    public void setFactoryBeanMap(Map<String, HandleXmlFactoryBean> serviceMap) {
        this.handleXmlFactoryBean = serviceMap;
    }

}
