package com.kexun.mapper;

import com.kexun.entity.FieldDefineEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字段定义表 Mapper 接口
 * </p>
 *
 * @author lgs
 * @since 2023-06-21
 */
public interface FieldDefineMapper extends BaseMapper<FieldDefineEntity> {


    /**
     * 更新状态
     *
     * @param id     主键
     * @param status 状态
     */
    void updateStatus(@Param("id") Long id, @Param("status") String status);

    List<FieldDefineEntity> selectAll(String cat);


    List<FieldDefineEntity> selectBase(String info);

    List<FieldDefineEntity> selectDerive(String info);

    /**
     * 根据产品编号和类别查询字段定义
     * @param productNum
     * @param oneLevel
     * @param category
     * @return
     */
    List<FieldDefineEntity> queryFieldDefineByProd(@Param("productNum") String productNum,@Param("oneLevel") String oneLevel,@Param("category") String category);

}
