package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:3.6信息概要.-非循环贷账户汇总信息
 *
 * @author lgs
 * @date 2023/06/08
 */
@Data
public class SmryAccInfo implements IXmlBase{
    /**
     * 管理机构数
     */
    @JSONField(name = "MANAGEORGNUM")
    private Integer manageOrgNum;

    /**
     * 账户数
     */
    @JSONField(name = "ACCSUM")
    private Integer accSum;

    /**
     * 授信总额
     */
    @JSONField(name = "CREDITSUM")
    private BigDecimal creditSum;

    /**
     * 余额
     */
    @JSONField(name = "BALANCE")
    private BigDecimal balance;

    /**
     * 最近6个月平均应还款
     */
    @JSONField(name = "LATELY6MON")
    private BigDecimal lately6mon;

}
