package com.kexun.service.xml;

import com.kexun.entity.BasePhoneEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.BasePhone;
import com.kexun.model.xml.BasePhoneInf;
import com.kexun.model.xml.IXmlBase;
import com.kexun.service.BasePhoneService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description:基本信息. 1.2 手机号码信息
 *
 * @author lgs
 * @date 2023/06/06
 */
@Service
@Slf4j
public class BaseInfoPhoneHandlerService implements IHandleXmlBaseService {

    @Autowired
    private BasePhoneService basePhoneService;

    @Override
    public void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase) {
        if (reportXmlBase instanceof BasePhone) {
            BasePhone basePhone = (BasePhone) reportXmlBase;
            List<BasePhoneInf> basePhoneInfList = basePhone.getBasePhoneInfList();
            List<BasePhoneEntity> basePhoneEntityList = new ArrayList<>();
            for (BasePhoneInf basePhoneInf : basePhoneInfList) {
                BasePhoneEntity basePhoneEntity = new BasePhoneEntity();
                BeanUtils.copyProperties(basePhoneInf, basePhoneEntity);
                basePhoneEntity.setIdTypeCode(commonParam.getIdTypeCode());
                basePhoneEntity.setIdTypeDesc(commonParam.getIdTypeDesc());
                basePhoneEntity.setName(commonParam.getName());
                basePhoneEntity.setIdNum(commonParam.getIdNum());
                basePhoneEntity.setHeadInfId(commonParam.getHeadInfId());
                basePhoneEntity.setRptNo(commonParam.getRptNo());
                basePhoneEntityList.add(basePhoneEntity);
            }
            basePhoneService.saveBatch(basePhoneEntityList);
        }
    }
}
